---
apiVersion: v1
kind: Pod
metadata:
  name: {{ .Release.Name }}-jira
  labels:
    name: {{ .Release.Name }}-jira
spec:
  volumes:
    - name: {{ .Release.Name }}-data
      persistentVolumeClaim:
       claimName: {{ .Release.Name }}-data-claim
  containers:
  - name: {{ .Release.Name }}-jira
    image: {{ .Values.image.repository }}
    ports:
      - containerPort: 8080
        name: 8080tcp
        protocol: TCP
    env:
      - name: JIRA_PROXY_NAME
        value: {{ .Values.jira.proxy.name }}
      - name: JIRA_PROXY_PORT
        value: "{{ .Values.jira.proxy.port }}"
      - name: JIRA_PROXY_SCHEME
        value: {{ .Values.jira.proxy.scheme }}
      - name: JIRA_CONTEXT_PATH
        value: /
    volumeMounts:
        - mountPath: /opt/atlassian/jira/data
          name: {{ .Release.Name }}-data